Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain
Interface MondrianXMLADefinition

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  MondrianXMLADefinitionImpl

    public interface MondrianXMLADefinition

extends Resource

Author:
  swood

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`java.lang.String` | `getCatalog()`
`ResourceReference` | `getMondrianConnection()`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setMondrianConnection(MondrianConnection connectionReference)`
`void` | `setMondrianConnection(ResourceReference connectionReference)`
`void` | `setMondrianConnectionReference(java.lang.String referenceURI)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getMondrianConnection

    ResourceReference getMondrianConnection()

### setMondrianConnection

    void setMondrianConnection(ResourceReference connectionReference)

### setMondrianConnection

    void setMondrianConnection(MondrianConnection connectionReference)

### setMondrianConnectionReference

    void setMondrianConnectionReference(java.lang.String referenceURI)

### getCatalog

    java.lang.String getCatalog()

### setCatalog

    void setCatalog(java.lang.String catalog)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.